// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:gap/gap.dart';

class PortfolioCardImages extends StatelessWidget {
  const PortfolioCardImages({
    this.images,
    this.radius,
    this.maxSize,
    super.key,
  });

  final List<Widget>? images;
  final double? radius;
  final Size? maxSize;

  @override
  Widget build(BuildContext context) {
    final result = <Widget>[];
    for (final image in images ?? List<Widget>.empty()) {
      result.addAll([
        Expanded(
          child: ClipRRect(
            borderRadius: BorderRadius.circular(radius ?? 0),
            child: Container(
              constraints: BoxConstraints(
                maxHeight: maxSize != null ? maxSize!.width : 100,
              ),
              child: image,
            ),
          ),
        ),
        const Gap(25),
      ]);
    }
    result.removeLast();
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: result,
    );
  }
}
